﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Infragistics.Windows;
using Infragistics.Windows.DataPresenter;
using System.Collections.ObjectModel;

namespace XamDataGridSearchEngine
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
        public SearchBar sbar;
		public MainWindow()
		{
			this.InitializeComponent();
		}

        private void XamDataGrid_Loaded(object sender, RoutedEventArgs e)
        {
            Grid grid = Utilities.GetDescendantFromType(sender as XamDataGrid, typeof(Grid), false) as Grid;
            grid.RowDefinitions.Add(new RowDefinition { Height = new GridLength(1, GridUnitType.Auto) });

            SearchBar searchBar = new SearchBar();
            //searchBar.Name = "sb1";
            //searchBar.Tag = "sb1";
            Grid.SetRow(searchBar, 2);

            grid.Children.Add(searchBar);
            sbar = searchBar;
        }
	}

    public class myConverter : IMultiValueConverter
    {
        public object Convert(object[] values, Type targetType, 
               object parameter, System.Globalization.CultureInfo culture)
        {

            DataRecord rec = values[0] as DataRecord;
            Field field = values[1] as Field;

            if (rec == null || field == null)
                return Brushes.Transparent;

            if (rec.Cells[field].Tag != null && rec.Cells[field].Tag.Equals("matchCell")) 
            {
                return Brushes.Green;
            }
            return Brushes.Transparent;
      
        }
        public object[] ConvertBack(object value, Type[] targetTypes, 
               object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotSupportedException("Cannot convert back");
        }
    }
}